#pragma once

#include "CoreMinimal.h"
#include "BaseReplicatedState.h"
#include "K36MageHandBaseState.generated.h"

UCLASS(Blueprintable, Abstract)
class UK36MageHandBaseState : public UBaseReplicatedState
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _authority_registerOnPalletStateChanged;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _authority_disableMageEndOnPalletBreak;

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	bool _resetMageHandStatePredictedStateStackOnEnter;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	bool _disableMageHandOnPalletStun;

public:
	UK36MageHandBaseState();
};

FORCEINLINE uint32 GetTypeHash(const UK36MageHandBaseState) { return 0; }
